import setuptools

setuptools.setup(
    name="paceENSDF",
    version="0.6.1",
    url="https://github.com/AaronMHurst/pace_ensdf",
    author="Aaron M. Hurst",
    author_email="amhurst@berkeley.edu",
    description="paceENSDF: Python Archive of Coincident Emissions from ENSDF.  Package enables interaction, manipulation, analysis, and visualization of radioactive-decay data from the ENSDF archive and corresponding coincidence gamma-gamma and gamma-X-ray emissions.",
    long_description=open('DESCRIPTION.rst').read(),
    license_files=('LICENSE'),
    #long_description=open('README.md').read(),
    #packages=setuptools.find_packages(),
    packages=setuptools.find_namespace_packages(),
    install_requires=["numpy", "pandas", "pytest"],
    classifiers=[
        'Development Status :: 4 - Beta',
        'Intended Audience :: Science/Research',
        'License :: OSI Approved :: BSD License',
        'Operating System :: MacOS',
        'Operating System :: Unix',
        'Programming Language :: Python',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.7',
        'Topic :: Scientific/Engineering :: Physics',
    ],
    include_package_data=True,
    package_data={'': ['ENSDF_JSON/*.json', 'PACE_JSON/*.json',
                       'ENSDF_RIPL/alpha/*.dat', 'ENSDF_RIPL/beta_minus/*.dat',
                       'ENSDF_RIPL/beta_plus/*.dat', 'ENSDF_RIPL/ecbp/*.dat',
                       'TE/regular/ENSDF_JSON/*.json',
                       'TE/regular/PACE_JSON/*.json',
                       'TE/transient/ENSDF_JSON/*.json',
                       'TE/transient/PACE_JSON/*.json']},
)
